VehiclePhysics.TireCompound

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class VehiclePhysics.TireCompound

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.VehiclePhysics.TireCompound

Enclosing class:
  VehiclePhysics

    public static class VehiclePhysics.TireCompound

extends java.lang.Object

Model of a tire compound.

Author:
  Marvin Froehlich (CTDP)

Nested Class Summary
`static class` | `VehiclePhysics.TireCompound.CompoundWheel` Model of one wheel of a compound.

Method Summary
`VehiclePhysics.SlipCurve` | `getFrontBrakingSlipCurve()`
`VehiclePhysics.SlipCurve` | `getFrontLatitudeSlipCurve()`
`VehiclePhysics.SlipCurve` | `getFrontTractiveSlipCurve()`
`int` | `getIndex()` Gets the compound's index in the list.
`java.lang.String` | `getName()` Gets the compound's name.
`VehiclePhysics.SlipCurve` | `getRearBrakingSlipCurve()`
`VehiclePhysics.SlipCurve` | `getRearLatitudeSlipCurve()`
`VehiclePhysics.SlipCurve` | `getRearTractiveSlipCurve()`
`VehiclePhysics.TireCompound.CompoundWheel` | `getWheel(Wheel wheel)` Gets the `VehiclePhysics.TireCompound.CompoundWheel` for the given wheel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public final java.lang.String getName()

  Gets the compound's name.

  Returns:
    the compound's name.

### getIndex

    public final int getIndex()

  Gets the compound's index in the list. This is what stands in the setup file.

  Returns:
    the compound's index in the list.

### getFrontLatitudeSlipCurve

    public final VehiclePhysics.SlipCurve getFrontLatitudeSlipCurve()

### getFrontBrakingSlipCurve

    public final VehiclePhysics.SlipCurve getFrontBrakingSlipCurve()

### getFrontTractiveSlipCurve

    public final VehiclePhysics.SlipCurve getFrontTractiveSlipCurve()

### getRearLatitudeSlipCurve

    public final VehiclePhysics.SlipCurve getRearLatitudeSlipCurve()

### getRearBrakingSlipCurve

    public final VehiclePhysics.SlipCurve getRearBrakingSlipCurve()

### getRearTractiveSlipCurve

    public final VehiclePhysics.SlipCurve getRearTractiveSlipCurve()

### getWheel

    public final VehiclePhysics.TireCompound.CompoundWheel getWheel(Wheel wheel)

  Gets the `VehiclePhysics.TireCompound.CompoundWheel` for the given wheel.

  Parameters:
    `wheel` - the requested wheel
  Returns:
    the `VehiclePhysics.TireCompound.CompoundWheel` for the given wheel.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD